{
  config,
  lib,
  namespace,
  ...
}:
let
  hasDestopEnvironment =
    config.${namespace}.desktop.cosmic.enable
    || config.${namespace}.desktop.gnome.enable
    || config.${namespace}.desktop.hyprland.enable;
in
{
  config = lib.mkIf hasDestopEnvironment {
    services.hardware.openrgb = {
      enable = true;
    };
  };
}
